MockView (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.test.mock
[Groovy] Class MockView

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.griffon.runtime.core.AbstractGriffonArtifact
              org.codehaus.griffon.runtime.core.AbstractGriffonMvcArtifact
                  org.codehaus.griffon.runtime.core.AbstractGriffonView
                      griffon.test.mock.MockView

    class MockView
    extends AbstractGriffonView

Authors:
  Andres Almiray

Field Summary

Fields inherited from class AbstractGriffonView
builder

Fields inherited from class AbstractGriffonArtifact
app, log, resourceLocator

Constructor Summary
`MockView()`

Method Summary
`void` | `mvcGroupInit(Map args)`

Methods inherited from class AbstractGriffonView
buildViewFromXml, buildViewFromXml, getArtifactType, getBuilder, setBuilder

Methods inherited from class AbstractGriffonMvcArtifact
mvcGroupDestroy, mvcGroupInit

Methods inherited from class AbstractGriffonArtifact
buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, destroyMVCGroup, execAsync, execFuture, execFuture, execFuture, execFuture, execInsideUIAsync, execInsideUISync, execOutside, execOutsideUI, execSync, getApp, getArtifactType, getGriffonClass, getLog, getMetaClass, getResourceAsStream, getResourceAsURL, getResources, isUIThread, metaClassOf, newInstance, setApp, setMetaClass, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup

Methods inherited from class GroovyObjectSupport
setProperty, getProperty, getMetaClass, setMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MockView

    MockView()

Method Detail

### mvcGroupInit

    @Override
    void mvcGroupInit(Map args)

Groovy Documentation